/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'alicoBold53\'">' + entity + '</span>' + html;
	}
	var icons = {
		'icon-quill2': '&#xe919;',
		'icon-arrow-right2': '&#xedbc;',
		'icon-arrow-right3': '&#xedbd;',
		'icon-arrow-left2': '&#xedc4;',
		'icon-arrow-left3': '&#xedc5;',
		'icon-arrow-right14': '&#xee28;',
		'icon-arrow-left14': '&#xee2a;',
		'icon-stop-watch': '&#xe900;',
		'icon-stop-watch2': '&#xe901;',
		'icon-clipboard-move': '&#xe902;',
		'icon-clipboard-move2': '&#xe903;',
		'icon-303': '&#xe12f;',
		'icon-313': '&#xe139;',
		'icon-314': '&#xe13a;',
		'icon-325': '&#xe145;',
		'icon-363': '&#xe16b;',
		'icon-378': '&#xe17a;',
		'icon-385': '&#xe181;',
		'icon-421': '&#xe1a5;',
		'icon-435': '&#xe1b3;',
		'icon-468': '&#xe1d4;',
		'icon-508': '&#xe1fc;',
		'icon-515': '&#xe203;',
		'icon-pencil6': '&#xe943;',
		'icon-color-sampler': '&#xe95c;',
		'icon-bucket': '&#xe95e;',
		'icon-file-check': '&#xe9d9;',
		'icon-coins': '&#xea3a;',
		'icon-piggy-bank': '&#xea3f;',
		'icon-location2': '&#xea68;',
		'icon-map4': '&#xea78;',
		'icon-clock22': '&#xea7d;',
		'icon-safe': '&#xeb84;',
		'icon-trophy2': '&#xebd3;',
		'icon-trophy22': '&#xebd4;',
		'icon-trophy3': '&#xebd5;',
		'icon-trophy4': '&#xebd8;',
		'icon-hammer2': '&#xec11;',
		'icon-gun-forbidden': '&#xec5d;',
		'icon-shield2': '&#xec5e;',
		'icon-shield-check': '&#xec5f;',
		'icon-shield-notice': '&#xec60;',
		'icon-shield22': '&#xec61;',
		'icon-shield3': '&#xec62;',
		'icon-shield4': '&#xec63;',
		'icon-arrow-up22': '&#xede5;',
		'icon-arrow-up3': '&#xede6;',
		'icon-arrow-up4': '&#xede7;',
		'icon-crop2': '&#xeea8;',
		'icon-crop22': '&#xeea9;',
		'icon-scissors2': '&#xeeb1;',
		'icon-scissors22': '&#xeeb2;',
		'icon-scissors3': '&#xeeb3;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
